#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private hpcAmpRSIIndicator[] cachehpcAmpRSIIndicator;
		private hpcHSIArrowsIndicator[] cachehpcHSIArrowsIndicator;
		private hpcHSIIndicator[] cachehpcHSIIndicator;
		private hpcPatternsIndicator[] cachehpcPatternsIndicator;
		private hpcPiPhiBands[] cachehpcPiPhiBands;
		private hpcRSIBammIndicator[] cachehpcRSIBammIndicator;
		private hpcVolumeSpike[] cachehpcVolumeSpike;

		
		public hpcAmpRSIIndicator hpcAmpRSIIndicator(Brush fill_Color, double fill_Opacity)
		{
			return hpcAmpRSIIndicator(Input, fill_Color, fill_Opacity);
		}

		public hpcHSIArrowsIndicator hpcHSIArrowsIndicator(Brush up_Arrow_Color, Brush dn_Arrow_Color)
		{
			return hpcHSIArrowsIndicator(Input, up_Arrow_Color, dn_Arrow_Color);
		}

		public hpcHSIIndicator hpcHSIIndicator(Brush fill_Color, double fill_Opacity)
		{
			return hpcHSIIndicator(Input, fill_Color, fill_Opacity);
		}

		public hpcPatternsIndicator hpcPatternsIndicator(int bars_To_Process, bool show_Bullish, bool show_Bearish, bool show_ABCD, bool show_Bat, bool show_Butterfly, bool show_Gartley, bool show_Crab, bool show_Shark, bool show_50, bool strict_ABCD, double strict_ATRs, int max_Points_Shared, int min_Pattern_Length, int max_Pattern_Length, bool hide_Inside, bool none_Past_AC, bool none_Past_BD, bool show_Pending, bool show_Potential, int potential_Logic, int zone_Bars, int target_Bars, int update_Type, int update_Interval, int most_Recent, bool do_Pattern_Fill, double fill_Opacity, int terminal_Bar_Font, System.Windows.Media.Brush bullish_Leg_Color, System.Windows.Media.Brush bearish_Leg_Color, System.Windows.Media.Brush pending_Leg_Color, System.Windows.Media.Brush potential_Leg_Color, int leg_Thickness, System.Windows.Media.Brush confirmed_RatioLine_Color, System.Windows.Media.Brush pending_RatioLine_Color, System.Windows.Media.Brush potential_RatioLine_Color, int ratio_Thickness, System.Windows.Media.Brush confirmed_Label_Color, System.Windows.Media.Brush pending_Label_Color, System.Windows.Media.Brush potential_Label_Color, int label_Font_Size, System.Windows.Media.Brush confirmed_RatioLabel_Color, System.Windows.Media.Brush pending_RatioLabel_Color, System.Windows.Media.Brush potential_RatioLabel_Color, int ratio_Font_Size, System.Windows.Media.Brush zone_Line_Bullish, System.Windows.Media.Brush zone_Line_Bearish, int zone_Line_Thickness, System.Windows.Media.Brush zone_Text_Color, int zone_Text_FontSize, bool reverse_Zone_Labels, double zone_Opacity, bool show_Vertical_Line, bool do_Alerts)
		{
			return hpcPatternsIndicator(Input, bars_To_Process, show_Bullish, show_Bearish, show_ABCD, show_Bat, show_Butterfly, show_Gartley, show_Crab, show_Shark, show_50, strict_ABCD, strict_ATRs, max_Points_Shared, min_Pattern_Length, max_Pattern_Length, hide_Inside, none_Past_AC, none_Past_BD, show_Pending, show_Potential, potential_Logic, zone_Bars, target_Bars, update_Type, update_Interval, most_Recent, do_Pattern_Fill, fill_Opacity, terminal_Bar_Font, bullish_Leg_Color, bearish_Leg_Color, pending_Leg_Color, potential_Leg_Color, leg_Thickness, confirmed_RatioLine_Color, pending_RatioLine_Color, potential_RatioLine_Color, ratio_Thickness, confirmed_Label_Color, pending_Label_Color, potential_Label_Color, label_Font_Size, confirmed_RatioLabel_Color, pending_RatioLabel_Color, potential_RatioLabel_Color, ratio_Font_Size, zone_Line_Bullish, zone_Line_Bearish, zone_Line_Thickness, zone_Text_Color, zone_Text_FontSize, reverse_Zone_Labels, zone_Opacity, show_Vertical_Line, do_Alerts);
		}

		public hpcPiPhiBands hpcPiPhiBands()
		{
			return hpcPiPhiBands(Input);
		}

		public hpcRSIBammIndicator hpcRSIBammIndicator(Brush fill_Color, double fill_Opacity)
		{
			return hpcRSIBammIndicator(Input, fill_Color, fill_Opacity);
		}

		public hpcVolumeSpike hpcVolumeSpike(Brush up_Arrow_Color)
		{
			return hpcVolumeSpike(Input, up_Arrow_Color);
		}


		
		public hpcAmpRSIIndicator hpcAmpRSIIndicator(ISeries<double> input, Brush fill_Color, double fill_Opacity)
		{
			if (cachehpcAmpRSIIndicator != null)
				for (int idx = 0; idx < cachehpcAmpRSIIndicator.Length; idx++)
					if (cachehpcAmpRSIIndicator[idx].Fill_Color == fill_Color && cachehpcAmpRSIIndicator[idx].Fill_Opacity == fill_Opacity && cachehpcAmpRSIIndicator[idx].EqualsInput(input))
						return cachehpcAmpRSIIndicator[idx];
			return CacheIndicator<hpcAmpRSIIndicator>(new hpcAmpRSIIndicator(){ Fill_Color = fill_Color, Fill_Opacity = fill_Opacity }, input, ref cachehpcAmpRSIIndicator);
		}

		public hpcHSIArrowsIndicator hpcHSIArrowsIndicator(ISeries<double> input, Brush up_Arrow_Color, Brush dn_Arrow_Color)
		{
			if (cachehpcHSIArrowsIndicator != null)
				for (int idx = 0; idx < cachehpcHSIArrowsIndicator.Length; idx++)
					if (cachehpcHSIArrowsIndicator[idx].Up_Arrow_Color == up_Arrow_Color && cachehpcHSIArrowsIndicator[idx].Dn_Arrow_Color == dn_Arrow_Color && cachehpcHSIArrowsIndicator[idx].EqualsInput(input))
						return cachehpcHSIArrowsIndicator[idx];
			return CacheIndicator<hpcHSIArrowsIndicator>(new hpcHSIArrowsIndicator(){ Up_Arrow_Color = up_Arrow_Color, Dn_Arrow_Color = dn_Arrow_Color }, input, ref cachehpcHSIArrowsIndicator);
		}

		public hpcHSIIndicator hpcHSIIndicator(ISeries<double> input, Brush fill_Color, double fill_Opacity)
		{
			if (cachehpcHSIIndicator != null)
				for (int idx = 0; idx < cachehpcHSIIndicator.Length; idx++)
					if (cachehpcHSIIndicator[idx].Fill_Color == fill_Color && cachehpcHSIIndicator[idx].Fill_Opacity == fill_Opacity && cachehpcHSIIndicator[idx].EqualsInput(input))
						return cachehpcHSIIndicator[idx];
			return CacheIndicator<hpcHSIIndicator>(new hpcHSIIndicator(){ Fill_Color = fill_Color, Fill_Opacity = fill_Opacity }, input, ref cachehpcHSIIndicator);
		}

		public hpcPatternsIndicator hpcPatternsIndicator(ISeries<double> input, int bars_To_Process, bool show_Bullish, bool show_Bearish, bool show_ABCD, bool show_Bat, bool show_Butterfly, bool show_Gartley, bool show_Crab, bool show_Shark, bool show_50, bool strict_ABCD, double strict_ATRs, int max_Points_Shared, int min_Pattern_Length, int max_Pattern_Length, bool hide_Inside, bool none_Past_AC, bool none_Past_BD, bool show_Pending, bool show_Potential, int potential_Logic, int zone_Bars, int target_Bars, int update_Type, int update_Interval, int most_Recent, bool do_Pattern_Fill, double fill_Opacity, int terminal_Bar_Font, System.Windows.Media.Brush bullish_Leg_Color, System.Windows.Media.Brush bearish_Leg_Color, System.Windows.Media.Brush pending_Leg_Color, System.Windows.Media.Brush potential_Leg_Color, int leg_Thickness, System.Windows.Media.Brush confirmed_RatioLine_Color, System.Windows.Media.Brush pending_RatioLine_Color, System.Windows.Media.Brush potential_RatioLine_Color, int ratio_Thickness, System.Windows.Media.Brush confirmed_Label_Color, System.Windows.Media.Brush pending_Label_Color, System.Windows.Media.Brush potential_Label_Color, int label_Font_Size, System.Windows.Media.Brush confirmed_RatioLabel_Color, System.Windows.Media.Brush pending_RatioLabel_Color, System.Windows.Media.Brush potential_RatioLabel_Color, int ratio_Font_Size, System.Windows.Media.Brush zone_Line_Bullish, System.Windows.Media.Brush zone_Line_Bearish, int zone_Line_Thickness, System.Windows.Media.Brush zone_Text_Color, int zone_Text_FontSize, bool reverse_Zone_Labels, double zone_Opacity, bool show_Vertical_Line, bool do_Alerts)
		{
			if (cachehpcPatternsIndicator != null)
				for (int idx = 0; idx < cachehpcPatternsIndicator.Length; idx++)
					if (cachehpcPatternsIndicator[idx].Bars_To_Process == bars_To_Process && cachehpcPatternsIndicator[idx].Show_Bullish == show_Bullish && cachehpcPatternsIndicator[idx].Show_Bearish == show_Bearish && cachehpcPatternsIndicator[idx].Show_ABCD == show_ABCD && cachehpcPatternsIndicator[idx].Show_Bat == show_Bat && cachehpcPatternsIndicator[idx].Show_Butterfly == show_Butterfly && cachehpcPatternsIndicator[idx].Show_Gartley == show_Gartley && cachehpcPatternsIndicator[idx].Show_Crab == show_Crab && cachehpcPatternsIndicator[idx].Show_Shark == show_Shark && cachehpcPatternsIndicator[idx].Show_50 == show_50 && cachehpcPatternsIndicator[idx].Strict_ABCD == strict_ABCD && cachehpcPatternsIndicator[idx].Strict_ATRs == strict_ATRs && cachehpcPatternsIndicator[idx].Max_Points_Shared == max_Points_Shared && cachehpcPatternsIndicator[idx].Min_Pattern_Length == min_Pattern_Length && cachehpcPatternsIndicator[idx].Max_Pattern_Length == max_Pattern_Length && cachehpcPatternsIndicator[idx].Hide_Inside == hide_Inside && cachehpcPatternsIndicator[idx].None_Past_AC == none_Past_AC && cachehpcPatternsIndicator[idx].None_Past_BD == none_Past_BD && cachehpcPatternsIndicator[idx].Show_Pending == show_Pending && cachehpcPatternsIndicator[idx].Show_Potential == show_Potential && cachehpcPatternsIndicator[idx].Potential_Logic == potential_Logic && cachehpcPatternsIndicator[idx].Zone_Bars == zone_Bars && cachehpcPatternsIndicator[idx].Target_Bars == target_Bars && cachehpcPatternsIndicator[idx].Update_Type == update_Type && cachehpcPatternsIndicator[idx].Update_Interval == update_Interval && cachehpcPatternsIndicator[idx].Most_Recent == most_Recent && cachehpcPatternsIndicator[idx].Do_Pattern_Fill == do_Pattern_Fill && cachehpcPatternsIndicator[idx].Fill_Opacity == fill_Opacity && cachehpcPatternsIndicator[idx].Terminal_Bar_Font == terminal_Bar_Font && cachehpcPatternsIndicator[idx].Bullish_Leg_Color == bullish_Leg_Color && cachehpcPatternsIndicator[idx].Bearish_Leg_Color == bearish_Leg_Color && cachehpcPatternsIndicator[idx].Pending_Leg_Color == pending_Leg_Color && cachehpcPatternsIndicator[idx].Potential_Leg_Color == potential_Leg_Color && cachehpcPatternsIndicator[idx].Leg_Thickness == leg_Thickness && cachehpcPatternsIndicator[idx].Confirmed_RatioLine_Color == confirmed_RatioLine_Color && cachehpcPatternsIndicator[idx].Pending_RatioLine_Color == pending_RatioLine_Color && cachehpcPatternsIndicator[idx].Potential_RatioLine_Color == potential_RatioLine_Color && cachehpcPatternsIndicator[idx].Ratio_Thickness == ratio_Thickness && cachehpcPatternsIndicator[idx].Confirmed_Label_Color == confirmed_Label_Color && cachehpcPatternsIndicator[idx].Pending_Label_Color == pending_Label_Color && cachehpcPatternsIndicator[idx].Potential_Label_Color == potential_Label_Color && cachehpcPatternsIndicator[idx].Label_Font_Size == label_Font_Size && cachehpcPatternsIndicator[idx].Confirmed_RatioLabel_Color == confirmed_RatioLabel_Color && cachehpcPatternsIndicator[idx].Pending_RatioLabel_Color == pending_RatioLabel_Color && cachehpcPatternsIndicator[idx].Potential_RatioLabel_Color == potential_RatioLabel_Color && cachehpcPatternsIndicator[idx].Ratio_Font_Size == ratio_Font_Size && cachehpcPatternsIndicator[idx].Zone_Line_Bullish == zone_Line_Bullish && cachehpcPatternsIndicator[idx].Zone_Line_Bearish == zone_Line_Bearish && cachehpcPatternsIndicator[idx].Zone_Line_Thickness == zone_Line_Thickness && cachehpcPatternsIndicator[idx].Zone_Text_Color == zone_Text_Color && cachehpcPatternsIndicator[idx].Zone_Text_FontSize == zone_Text_FontSize && cachehpcPatternsIndicator[idx].Reverse_Zone_Labels == reverse_Zone_Labels && cachehpcPatternsIndicator[idx].Zone_Opacity == zone_Opacity && cachehpcPatternsIndicator[idx].Show_Vertical_Line == show_Vertical_Line && cachehpcPatternsIndicator[idx].Do_Alerts == do_Alerts && cachehpcPatternsIndicator[idx].EqualsInput(input))
						return cachehpcPatternsIndicator[idx];
			return CacheIndicator<hpcPatternsIndicator>(new hpcPatternsIndicator(){ Bars_To_Process = bars_To_Process, Show_Bullish = show_Bullish, Show_Bearish = show_Bearish, Show_ABCD = show_ABCD, Show_Bat = show_Bat, Show_Butterfly = show_Butterfly, Show_Gartley = show_Gartley, Show_Crab = show_Crab, Show_Shark = show_Shark, Show_50 = show_50, Strict_ABCD = strict_ABCD, Strict_ATRs = strict_ATRs, Max_Points_Shared = max_Points_Shared, Min_Pattern_Length = min_Pattern_Length, Max_Pattern_Length = max_Pattern_Length, Hide_Inside = hide_Inside, None_Past_AC = none_Past_AC, None_Past_BD = none_Past_BD, Show_Pending = show_Pending, Show_Potential = show_Potential, Potential_Logic = potential_Logic, Zone_Bars = zone_Bars, Target_Bars = target_Bars, Update_Type = update_Type, Update_Interval = update_Interval, Most_Recent = most_Recent, Do_Pattern_Fill = do_Pattern_Fill, Fill_Opacity = fill_Opacity, Terminal_Bar_Font = terminal_Bar_Font, Bullish_Leg_Color = bullish_Leg_Color, Bearish_Leg_Color = bearish_Leg_Color, Pending_Leg_Color = pending_Leg_Color, Potential_Leg_Color = potential_Leg_Color, Leg_Thickness = leg_Thickness, Confirmed_RatioLine_Color = confirmed_RatioLine_Color, Pending_RatioLine_Color = pending_RatioLine_Color, Potential_RatioLine_Color = potential_RatioLine_Color, Ratio_Thickness = ratio_Thickness, Confirmed_Label_Color = confirmed_Label_Color, Pending_Label_Color = pending_Label_Color, Potential_Label_Color = potential_Label_Color, Label_Font_Size = label_Font_Size, Confirmed_RatioLabel_Color = confirmed_RatioLabel_Color, Pending_RatioLabel_Color = pending_RatioLabel_Color, Potential_RatioLabel_Color = potential_RatioLabel_Color, Ratio_Font_Size = ratio_Font_Size, Zone_Line_Bullish = zone_Line_Bullish, Zone_Line_Bearish = zone_Line_Bearish, Zone_Line_Thickness = zone_Line_Thickness, Zone_Text_Color = zone_Text_Color, Zone_Text_FontSize = zone_Text_FontSize, Reverse_Zone_Labels = reverse_Zone_Labels, Zone_Opacity = zone_Opacity, Show_Vertical_Line = show_Vertical_Line, Do_Alerts = do_Alerts }, input, ref cachehpcPatternsIndicator);
		}

		public hpcPiPhiBands hpcPiPhiBands(ISeries<double> input)
		{
			if (cachehpcPiPhiBands != null)
				for (int idx = 0; idx < cachehpcPiPhiBands.Length; idx++)
					if ( cachehpcPiPhiBands[idx].EqualsInput(input))
						return cachehpcPiPhiBands[idx];
			return CacheIndicator<hpcPiPhiBands>(new hpcPiPhiBands(), input, ref cachehpcPiPhiBands);
		}

		public hpcRSIBammIndicator hpcRSIBammIndicator(ISeries<double> input, Brush fill_Color, double fill_Opacity)
		{
			if (cachehpcRSIBammIndicator != null)
				for (int idx = 0; idx < cachehpcRSIBammIndicator.Length; idx++)
					if (cachehpcRSIBammIndicator[idx].Fill_Color == fill_Color && cachehpcRSIBammIndicator[idx].Fill_Opacity == fill_Opacity && cachehpcRSIBammIndicator[idx].EqualsInput(input))
						return cachehpcRSIBammIndicator[idx];
			return CacheIndicator<hpcRSIBammIndicator>(new hpcRSIBammIndicator(){ Fill_Color = fill_Color, Fill_Opacity = fill_Opacity }, input, ref cachehpcRSIBammIndicator);
		}

		public hpcVolumeSpike hpcVolumeSpike(ISeries<double> input, Brush up_Arrow_Color)
		{
			if (cachehpcVolumeSpike != null)
				for (int idx = 0; idx < cachehpcVolumeSpike.Length; idx++)
					if (cachehpcVolumeSpike[idx].Up_Arrow_Color == up_Arrow_Color && cachehpcVolumeSpike[idx].EqualsInput(input))
						return cachehpcVolumeSpike[idx];
			return CacheIndicator<hpcVolumeSpike>(new hpcVolumeSpike(){ Up_Arrow_Color = up_Arrow_Color }, input, ref cachehpcVolumeSpike);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.hpcAmpRSIIndicator hpcAmpRSIIndicator(Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcAmpRSIIndicator(Input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcHSIArrowsIndicator hpcHSIArrowsIndicator(Brush up_Arrow_Color, Brush dn_Arrow_Color)
		{
			return indicator.hpcHSIArrowsIndicator(Input, up_Arrow_Color, dn_Arrow_Color);
		}

		public Indicators.hpcHSIIndicator hpcHSIIndicator(Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcHSIIndicator(Input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcPatternsIndicator hpcPatternsIndicator(int bars_To_Process, bool show_Bullish, bool show_Bearish, bool show_ABCD, bool show_Bat, bool show_Butterfly, bool show_Gartley, bool show_Crab, bool show_Shark, bool show_50, bool strict_ABCD, double strict_ATRs, int max_Points_Shared, int min_Pattern_Length, int max_Pattern_Length, bool hide_Inside, bool none_Past_AC, bool none_Past_BD, bool show_Pending, bool show_Potential, int potential_Logic, int zone_Bars, int target_Bars, int update_Type, int update_Interval, int most_Recent, bool do_Pattern_Fill, double fill_Opacity, int terminal_Bar_Font, System.Windows.Media.Brush bullish_Leg_Color, System.Windows.Media.Brush bearish_Leg_Color, System.Windows.Media.Brush pending_Leg_Color, System.Windows.Media.Brush potential_Leg_Color, int leg_Thickness, System.Windows.Media.Brush confirmed_RatioLine_Color, System.Windows.Media.Brush pending_RatioLine_Color, System.Windows.Media.Brush potential_RatioLine_Color, int ratio_Thickness, System.Windows.Media.Brush confirmed_Label_Color, System.Windows.Media.Brush pending_Label_Color, System.Windows.Media.Brush potential_Label_Color, int label_Font_Size, System.Windows.Media.Brush confirmed_RatioLabel_Color, System.Windows.Media.Brush pending_RatioLabel_Color, System.Windows.Media.Brush potential_RatioLabel_Color, int ratio_Font_Size, System.Windows.Media.Brush zone_Line_Bullish, System.Windows.Media.Brush zone_Line_Bearish, int zone_Line_Thickness, System.Windows.Media.Brush zone_Text_Color, int zone_Text_FontSize, bool reverse_Zone_Labels, double zone_Opacity, bool show_Vertical_Line, bool do_Alerts)
		{
			return indicator.hpcPatternsIndicator(Input, bars_To_Process, show_Bullish, show_Bearish, show_ABCD, show_Bat, show_Butterfly, show_Gartley, show_Crab, show_Shark, show_50, strict_ABCD, strict_ATRs, max_Points_Shared, min_Pattern_Length, max_Pattern_Length, hide_Inside, none_Past_AC, none_Past_BD, show_Pending, show_Potential, potential_Logic, zone_Bars, target_Bars, update_Type, update_Interval, most_Recent, do_Pattern_Fill, fill_Opacity, terminal_Bar_Font, bullish_Leg_Color, bearish_Leg_Color, pending_Leg_Color, potential_Leg_Color, leg_Thickness, confirmed_RatioLine_Color, pending_RatioLine_Color, potential_RatioLine_Color, ratio_Thickness, confirmed_Label_Color, pending_Label_Color, potential_Label_Color, label_Font_Size, confirmed_RatioLabel_Color, pending_RatioLabel_Color, potential_RatioLabel_Color, ratio_Font_Size, zone_Line_Bullish, zone_Line_Bearish, zone_Line_Thickness, zone_Text_Color, zone_Text_FontSize, reverse_Zone_Labels, zone_Opacity, show_Vertical_Line, do_Alerts);
		}

		public Indicators.hpcPiPhiBands hpcPiPhiBands()
		{
			return indicator.hpcPiPhiBands(Input);
		}

		public Indicators.hpcRSIBammIndicator hpcRSIBammIndicator(Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcRSIBammIndicator(Input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcVolumeSpike hpcVolumeSpike(Brush up_Arrow_Color)
		{
			return indicator.hpcVolumeSpike(Input, up_Arrow_Color);
		}


		
		public Indicators.hpcAmpRSIIndicator hpcAmpRSIIndicator(ISeries<double> input , Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcAmpRSIIndicator(input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcHSIArrowsIndicator hpcHSIArrowsIndicator(ISeries<double> input , Brush up_Arrow_Color, Brush dn_Arrow_Color)
		{
			return indicator.hpcHSIArrowsIndicator(input, up_Arrow_Color, dn_Arrow_Color);
		}

		public Indicators.hpcHSIIndicator hpcHSIIndicator(ISeries<double> input , Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcHSIIndicator(input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcPatternsIndicator hpcPatternsIndicator(ISeries<double> input , int bars_To_Process, bool show_Bullish, bool show_Bearish, bool show_ABCD, bool show_Bat, bool show_Butterfly, bool show_Gartley, bool show_Crab, bool show_Shark, bool show_50, bool strict_ABCD, double strict_ATRs, int max_Points_Shared, int min_Pattern_Length, int max_Pattern_Length, bool hide_Inside, bool none_Past_AC, bool none_Past_BD, bool show_Pending, bool show_Potential, int potential_Logic, int zone_Bars, int target_Bars, int update_Type, int update_Interval, int most_Recent, bool do_Pattern_Fill, double fill_Opacity, int terminal_Bar_Font, System.Windows.Media.Brush bullish_Leg_Color, System.Windows.Media.Brush bearish_Leg_Color, System.Windows.Media.Brush pending_Leg_Color, System.Windows.Media.Brush potential_Leg_Color, int leg_Thickness, System.Windows.Media.Brush confirmed_RatioLine_Color, System.Windows.Media.Brush pending_RatioLine_Color, System.Windows.Media.Brush potential_RatioLine_Color, int ratio_Thickness, System.Windows.Media.Brush confirmed_Label_Color, System.Windows.Media.Brush pending_Label_Color, System.Windows.Media.Brush potential_Label_Color, int label_Font_Size, System.Windows.Media.Brush confirmed_RatioLabel_Color, System.Windows.Media.Brush pending_RatioLabel_Color, System.Windows.Media.Brush potential_RatioLabel_Color, int ratio_Font_Size, System.Windows.Media.Brush zone_Line_Bullish, System.Windows.Media.Brush zone_Line_Bearish, int zone_Line_Thickness, System.Windows.Media.Brush zone_Text_Color, int zone_Text_FontSize, bool reverse_Zone_Labels, double zone_Opacity, bool show_Vertical_Line, bool do_Alerts)
		{
			return indicator.hpcPatternsIndicator(input, bars_To_Process, show_Bullish, show_Bearish, show_ABCD, show_Bat, show_Butterfly, show_Gartley, show_Crab, show_Shark, show_50, strict_ABCD, strict_ATRs, max_Points_Shared, min_Pattern_Length, max_Pattern_Length, hide_Inside, none_Past_AC, none_Past_BD, show_Pending, show_Potential, potential_Logic, zone_Bars, target_Bars, update_Type, update_Interval, most_Recent, do_Pattern_Fill, fill_Opacity, terminal_Bar_Font, bullish_Leg_Color, bearish_Leg_Color, pending_Leg_Color, potential_Leg_Color, leg_Thickness, confirmed_RatioLine_Color, pending_RatioLine_Color, potential_RatioLine_Color, ratio_Thickness, confirmed_Label_Color, pending_Label_Color, potential_Label_Color, label_Font_Size, confirmed_RatioLabel_Color, pending_RatioLabel_Color, potential_RatioLabel_Color, ratio_Font_Size, zone_Line_Bullish, zone_Line_Bearish, zone_Line_Thickness, zone_Text_Color, zone_Text_FontSize, reverse_Zone_Labels, zone_Opacity, show_Vertical_Line, do_Alerts);
		}

		public Indicators.hpcPiPhiBands hpcPiPhiBands(ISeries<double> input )
		{
			return indicator.hpcPiPhiBands(input);
		}

		public Indicators.hpcRSIBammIndicator hpcRSIBammIndicator(ISeries<double> input , Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcRSIBammIndicator(input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcVolumeSpike hpcVolumeSpike(ISeries<double> input , Brush up_Arrow_Color)
		{
			return indicator.hpcVolumeSpike(input, up_Arrow_Color);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.hpcAmpRSIIndicator hpcAmpRSIIndicator(Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcAmpRSIIndicator(Input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcHSIArrowsIndicator hpcHSIArrowsIndicator(Brush up_Arrow_Color, Brush dn_Arrow_Color)
		{
			return indicator.hpcHSIArrowsIndicator(Input, up_Arrow_Color, dn_Arrow_Color);
		}

		public Indicators.hpcHSIIndicator hpcHSIIndicator(Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcHSIIndicator(Input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcPatternsIndicator hpcPatternsIndicator(int bars_To_Process, bool show_Bullish, bool show_Bearish, bool show_ABCD, bool show_Bat, bool show_Butterfly, bool show_Gartley, bool show_Crab, bool show_Shark, bool show_50, bool strict_ABCD, double strict_ATRs, int max_Points_Shared, int min_Pattern_Length, int max_Pattern_Length, bool hide_Inside, bool none_Past_AC, bool none_Past_BD, bool show_Pending, bool show_Potential, int potential_Logic, int zone_Bars, int target_Bars, int update_Type, int update_Interval, int most_Recent, bool do_Pattern_Fill, double fill_Opacity, int terminal_Bar_Font, System.Windows.Media.Brush bullish_Leg_Color, System.Windows.Media.Brush bearish_Leg_Color, System.Windows.Media.Brush pending_Leg_Color, System.Windows.Media.Brush potential_Leg_Color, int leg_Thickness, System.Windows.Media.Brush confirmed_RatioLine_Color, System.Windows.Media.Brush pending_RatioLine_Color, System.Windows.Media.Brush potential_RatioLine_Color, int ratio_Thickness, System.Windows.Media.Brush confirmed_Label_Color, System.Windows.Media.Brush pending_Label_Color, System.Windows.Media.Brush potential_Label_Color, int label_Font_Size, System.Windows.Media.Brush confirmed_RatioLabel_Color, System.Windows.Media.Brush pending_RatioLabel_Color, System.Windows.Media.Brush potential_RatioLabel_Color, int ratio_Font_Size, System.Windows.Media.Brush zone_Line_Bullish, System.Windows.Media.Brush zone_Line_Bearish, int zone_Line_Thickness, System.Windows.Media.Brush zone_Text_Color, int zone_Text_FontSize, bool reverse_Zone_Labels, double zone_Opacity, bool show_Vertical_Line, bool do_Alerts)
		{
			return indicator.hpcPatternsIndicator(Input, bars_To_Process, show_Bullish, show_Bearish, show_ABCD, show_Bat, show_Butterfly, show_Gartley, show_Crab, show_Shark, show_50, strict_ABCD, strict_ATRs, max_Points_Shared, min_Pattern_Length, max_Pattern_Length, hide_Inside, none_Past_AC, none_Past_BD, show_Pending, show_Potential, potential_Logic, zone_Bars, target_Bars, update_Type, update_Interval, most_Recent, do_Pattern_Fill, fill_Opacity, terminal_Bar_Font, bullish_Leg_Color, bearish_Leg_Color, pending_Leg_Color, potential_Leg_Color, leg_Thickness, confirmed_RatioLine_Color, pending_RatioLine_Color, potential_RatioLine_Color, ratio_Thickness, confirmed_Label_Color, pending_Label_Color, potential_Label_Color, label_Font_Size, confirmed_RatioLabel_Color, pending_RatioLabel_Color, potential_RatioLabel_Color, ratio_Font_Size, zone_Line_Bullish, zone_Line_Bearish, zone_Line_Thickness, zone_Text_Color, zone_Text_FontSize, reverse_Zone_Labels, zone_Opacity, show_Vertical_Line, do_Alerts);
		}

		public Indicators.hpcPiPhiBands hpcPiPhiBands()
		{
			return indicator.hpcPiPhiBands(Input);
		}

		public Indicators.hpcRSIBammIndicator hpcRSIBammIndicator(Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcRSIBammIndicator(Input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcVolumeSpike hpcVolumeSpike(Brush up_Arrow_Color)
		{
			return indicator.hpcVolumeSpike(Input, up_Arrow_Color);
		}


		
		public Indicators.hpcAmpRSIIndicator hpcAmpRSIIndicator(ISeries<double> input , Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcAmpRSIIndicator(input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcHSIArrowsIndicator hpcHSIArrowsIndicator(ISeries<double> input , Brush up_Arrow_Color, Brush dn_Arrow_Color)
		{
			return indicator.hpcHSIArrowsIndicator(input, up_Arrow_Color, dn_Arrow_Color);
		}

		public Indicators.hpcHSIIndicator hpcHSIIndicator(ISeries<double> input , Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcHSIIndicator(input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcPatternsIndicator hpcPatternsIndicator(ISeries<double> input , int bars_To_Process, bool show_Bullish, bool show_Bearish, bool show_ABCD, bool show_Bat, bool show_Butterfly, bool show_Gartley, bool show_Crab, bool show_Shark, bool show_50, bool strict_ABCD, double strict_ATRs, int max_Points_Shared, int min_Pattern_Length, int max_Pattern_Length, bool hide_Inside, bool none_Past_AC, bool none_Past_BD, bool show_Pending, bool show_Potential, int potential_Logic, int zone_Bars, int target_Bars, int update_Type, int update_Interval, int most_Recent, bool do_Pattern_Fill, double fill_Opacity, int terminal_Bar_Font, System.Windows.Media.Brush bullish_Leg_Color, System.Windows.Media.Brush bearish_Leg_Color, System.Windows.Media.Brush pending_Leg_Color, System.Windows.Media.Brush potential_Leg_Color, int leg_Thickness, System.Windows.Media.Brush confirmed_RatioLine_Color, System.Windows.Media.Brush pending_RatioLine_Color, System.Windows.Media.Brush potential_RatioLine_Color, int ratio_Thickness, System.Windows.Media.Brush confirmed_Label_Color, System.Windows.Media.Brush pending_Label_Color, System.Windows.Media.Brush potential_Label_Color, int label_Font_Size, System.Windows.Media.Brush confirmed_RatioLabel_Color, System.Windows.Media.Brush pending_RatioLabel_Color, System.Windows.Media.Brush potential_RatioLabel_Color, int ratio_Font_Size, System.Windows.Media.Brush zone_Line_Bullish, System.Windows.Media.Brush zone_Line_Bearish, int zone_Line_Thickness, System.Windows.Media.Brush zone_Text_Color, int zone_Text_FontSize, bool reverse_Zone_Labels, double zone_Opacity, bool show_Vertical_Line, bool do_Alerts)
		{
			return indicator.hpcPatternsIndicator(input, bars_To_Process, show_Bullish, show_Bearish, show_ABCD, show_Bat, show_Butterfly, show_Gartley, show_Crab, show_Shark, show_50, strict_ABCD, strict_ATRs, max_Points_Shared, min_Pattern_Length, max_Pattern_Length, hide_Inside, none_Past_AC, none_Past_BD, show_Pending, show_Potential, potential_Logic, zone_Bars, target_Bars, update_Type, update_Interval, most_Recent, do_Pattern_Fill, fill_Opacity, terminal_Bar_Font, bullish_Leg_Color, bearish_Leg_Color, pending_Leg_Color, potential_Leg_Color, leg_Thickness, confirmed_RatioLine_Color, pending_RatioLine_Color, potential_RatioLine_Color, ratio_Thickness, confirmed_Label_Color, pending_Label_Color, potential_Label_Color, label_Font_Size, confirmed_RatioLabel_Color, pending_RatioLabel_Color, potential_RatioLabel_Color, ratio_Font_Size, zone_Line_Bullish, zone_Line_Bearish, zone_Line_Thickness, zone_Text_Color, zone_Text_FontSize, reverse_Zone_Labels, zone_Opacity, show_Vertical_Line, do_Alerts);
		}

		public Indicators.hpcPiPhiBands hpcPiPhiBands(ISeries<double> input )
		{
			return indicator.hpcPiPhiBands(input);
		}

		public Indicators.hpcRSIBammIndicator hpcRSIBammIndicator(ISeries<double> input , Brush fill_Color, double fill_Opacity)
		{
			return indicator.hpcRSIBammIndicator(input, fill_Color, fill_Opacity);
		}

		public Indicators.hpcVolumeSpike hpcVolumeSpike(ISeries<double> input , Brush up_Arrow_Color)
		{
			return indicator.hpcVolumeSpike(input, up_Arrow_Color);
		}

	}
}

#endregion
